Skip to main content
GET
/
v1beta
/
documents
/
{document_id}
/
timeline
TypeScript
import { Factify } from "@factify/sdk";

const factify = new Factify({
  bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  const result = await factify.timelines.getDocumentTimeline({
    documentId: "doc_01h2xcejqtf2nbrexx3vqjhp41",
  });

  console.log(result);
}

run();
{
  "events": [
    {
      "event_id": "550e8400-e29b-41d4-a716-446655440000",
      "event_type": "TIMELINE_EVENT_TYPE_UNSPECIFIED",
      "occurred_at": "2023-11-07T05:31:56Z",
      "payload": {}
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer , where is your auth token.

Path Parameters

document_id
string
required
Pattern: ^doc_[0-9a-hjkmnp-tv-z]{26}$
Example:

"doc_01h2xcejqtf2nbrexx3vqjhp41"

Query Parameters

cursor
string
page_size
integer<int32>
Required range: 1 <= x <= 100

Response

Success

events
TimelineEvent · object[]
has_more
boolean
next_cursor
string | null